package kz.arta.synergy.workflow.mobile.android.documents.favorite.activities;

import kz.arta.synergy.workflow.mobile.android.common.models.settings.DialogItem;
import kz.arta.synergy.workflow.mobile.android.documents.favorite.models.FavoriteItem;

/**
 * Created by neox on 02.10.15.
 * Методы для работы с кастомным диалогом
 */
public interface FavoriteItemListener {

    /**
     * Создание новой папки в хранилище
     */
    void newFolder();

    /**
     * Перейти в экран со списком избранных пунктов для создания документа
     */
    void showFavoriteActivity();

    /**
     * Создание работы используя стандартный диалог
     */
    void createWork();

    /**
     * Создание работы используя нестандартный диалог
     *
     * @param item описание текущего диалога
     */
    void createCustomWork(DialogItem item);

    /**
     * Добавление файла с устройства
     */
    void fromDevice();

    /**
     * Добавление файла с устройства
     */
    void fromCamera();

    /**
     * Создание нового документа
     *
     * @param item описание текущего элемента
     */
    void createDocument(FavoriteItem item);

    /**
     * Создаине новой записи
     */
    void newRecord();

}
